oyCMMapis_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyCMMapis_s Struct Reference
Backend Modules

A CMMapis list. More...

`#include <oyCMMapis_s.h>`

Inheritance diagram for oyCMMapis_s:
Collaboration diagram for oyCMMapis_s:

## Public Member Functions
OYAPI oyCMMapis_s *OYEXPORT | oyCMMapis_New (oyObject_s object)
| allocate a new CMMapis object More...
| oyCMMapis_Copy
| Copy or Reference a CMMapis object. More...
OYAPI int OYEXPORT | oyCMMapis_Release (oyCMMapis_s **cmmapis)
| release and possibly deallocate a oyCMMapis_s object More...
OYAPI int OYEXPORT | oyCMMapis_MoveIn (oyCMMapis_s *list, oyCMMapi_s **obj, int pos)
| add an element to a CMMapis list More...
OYAPI int OYEXPORT | oyCMMapis_ReleaseAt (oyCMMapis_s *list, int pos)
| release a element from a CMMapis list More...
OYAPI oyCMMapi_s *OYEXPORT | oyCMMapis_Get (oyCMMapis_s *list, int pos)
| get a element of a CMMapis list More...
OYAPI int OYEXPORT | oyCMMapis_Count (oyCMMapis_s *list)
| count the elements in a CMMapis list More...
OYAPI int OYEXPORT | oyCMMapis_Clear (oyCMMapis_s *list)
| clear the elements in a CMMapis list More...
OYAPI int OYEXPORT | oyCMMapis_Sort (oyCMMapis_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

A CMMapis list.

Note
  This class holds a list of objects [list]

Version
  Oyranos: 0.1.10

Since
  2010/06/25 (Oyranos: 0.1.10)

Date
  2010/06/25

## Member Function Documentation

## ◆ oyCMMapis_Clear()

OYAPI int OYEXPORT oyCMMapis_Clear | ( | oyCMMapis_s * | list | ) |

clear the elements in a CMMapis list

Function oyCMMapis_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_CMM_APIS_S, and oyStructList_s::oyStructList_Clear().

## ◆ oyCMMapis_Copy()

oyCMMapis_Copy

Copy or Reference a CMMapis object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | cmmapis | CMMapis struct object
  | object | NULL - means reference, the optional object triggers a real copy

## ◆ oyCMMapis_Count()

OYAPI int OYEXPORT oyCMMapis_Count | ( | oyCMMapis_s * | list | ) |

count the elements in a CMMapis list

Function oyCMMapis_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_APIS_S, and oyStructList_s::oyStructList_Count().

## ◆ oyCMMapis_Get()

OYAPI oyCMMapi_s *OYEXPORT oyCMMapis_Get | ( | oyCMMapis_s * | list,
|  | int | pos
| ) |  |

get a element of a CMMapis list

Function oyCMMapis_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_APIS_S, and oyStructList_s::oyStructList_GetRef().

## ◆ oyCMMapis_MoveIn()

OYAPI int OYEXPORT oyCMMapis_MoveIn | ( | oyCMMapis_s * | list,
|  | oyCMMapi_s ** | obj,
|  | int | pos
| ) |  |

add an element to a CMMapis list

Function oyCMMapis_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_API1_S, oyOBJECT_CMM_API_MAX, oyOBJECT_CMM_APIS_S, oyStructList_s::oyStructList_Create(), oyStructList_s::oyStructList_MoveIn(), and oyCMMapi_s::type_.

## ◆ oyCMMapis_New()

OYAPI oyCMMapis_s *OYEXPORT oyCMMapis_New | ( | oyObject_s | object | ) |

allocate a new CMMapis object

Function oyCMMapis_New

References oyOBJECT_OBJECT_S.

## ◆ oyCMMapis_Release()

OYAPI int OYEXPORT oyCMMapis_Release | ( | oyCMMapis_s ** | cmmapis | ) |

release and possibly deallocate a oyCMMapis_s object

Function oyCMMapis_Release

Parameters

  [in,out] | cmmapis | CMMapis struct object

References oyOBJECT_CMM_APIS_S.

## ◆ oyCMMapis_ReleaseAt()

OYAPI int OYEXPORT oyCMMapis_ReleaseAt | ( | oyCMMapis_s * | list,
|  | int | pos
| ) |  |

release a element from a CMMapis list

Function oyCMMapis_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_APIS_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

## ◆ oyCMMapis_Sort()

OYAPI int OYEXPORT oyCMMapis_Sort | ( | oyCMMapis_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyCMMapis_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyCMMapis_s::copy

Copy function.

## ◆ oy_

oyObject_s oyCMMapis_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyCMMapis_s::release

Release function.

## ◆ type_

const oyOBJECT_e oyCMMapis_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.